import { HttpClient } from '@angular/common/http';
import { Component, Inject } from '@angular/core';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';
import { ToastrService } from 'ngx-toastr';

@Component({
  selector: 'app-create-image',
  templateUrl: './create-image.component.html',
  styleUrl: './create-image.component.css'
})
export class CreateImageComponent {
  name: string = '';
  downloadUrl: string = '';

  constructor(
    private toastService: ToastrService,
    private http: HttpClient,
    public dialogRef: MatDialogRef<CreateImageComponent>,
    @Inject(MAT_DIALOG_DATA) public data: any
  ) { }

  onNoClick(): void {
    this.dialogRef.close();
  }

  addOgLive(): void {
    const payload = {
      name: this.name,
      downloadUrl: this.downloadUrl
    };

    this.http.post('http://127.0.0.1:8080/og-lives', payload)
      .subscribe({
        next: (response) => {
          console.log('Success:', response);
          this.toastService.success('Image created successfully');
          this.dialogRef.close();
        },
        error: (error) => {
          console.error('Error:', error);
          this.toastService.error(' Error creating image');
        }
      });
  }
}
